/************************************************************************************
 *  File:     main.c
 *  Purpose:  RX210 main file.
 *            Replace with your code.
 *  Date:     26 September 2013
 *  Info:
 ************************************************************************************/

#include "BSP.h"

/*********************************************************************
 *
 *  SystemInit()
 *  Purpose: Can be used to setup PLL etc.
 *********************************************************************/
void SystemInit(void)
{
  /*******************************************************************
   *  Place initialization code here
   *******************************************************************/
   //
   // Initialize Peripherals (LEDs)
   //
   BSP_Init();
}

/*********************************************************************
 *
 *  _Delay()
 *********************************************************************/
static void _Delay(int ms) {
  int i;
  i = 24*ms;
  do {              // approx. 1ms per loop cycle (@120 kHz)
    i--;
  } while (i);
}
/*********************************************************************
 *
 *  main()
 *********************************************************************/
int main()
{
  int cnt;
  /******************************************************************
   *
   *  Place your code here.
   ******************************************************************/

  cnt = 0;
  BSP_SetLED(0);
  BSP_SetLED(1);
  do {
    cnt++;
    BSP_ToggleLED(1);
    _Delay(100);
  } while (1);
  return 0;
}
